Summary: A powerful file compression utility.
Name: bzip2
Version: 0.9.5d
Release: 2
Group: Applications/File
Copyright: GPL
Url: http://sourceware.cygnus.com/bzip2/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://sourceware.cygnus.com/pub/bzip2/v095/bzip2-%{version}.tar.gz
# Generate and use shared library instead of static one
Patch: bzip2-%{version}.patch
Obsoletes: bzip2-devel
BuildRoot: /var/tmp/%{name}-root

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities of the
best techniques available.  However, bzip2 has the added benefit of
being approximately two times faster at compression and six times faster
at decompression than those techniques.  Bzip2 is not the fastest
compression utility, but it does strike a balance between speed and
compression capability.

Install bzip2 if you need a high quality compression utility.


%prep
%setup -q
%patch0 -p1


%build
make CFLAGS="$RPM_OPT_FLAGS"
gzip manual.ps


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/* ||:


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc  CHANGES LICENSE README manual.ps.gz manual*.html
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

